unit TernarySeries;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.ExtCtrls,
  VCLTee.TeEngine, VCLTee.TeeSurfa, VCLTee.TeeTernary, Vcl.StdCtrls,
  VCLTee.TeeProcs, VCLTee.Chart, VCLTee.TeeURL, VCLTee.TeeSeriesTextEd;

type
  TTernarySeriesForm = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    Series1: TTernarySeries;
    Panel1: TPanel;
    SeriesTextSource1: TSeriesTextSource;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Chart1BeforeDrawAxes(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TernarySeriesForm: TTernarySeriesForm;

implementation

{$R *.dfm}

Uses EditChar, TeeConst;

procedure TTernarySeriesForm.Button1Click(Sender: TObject);
begin
  EditSeries(Self,Series1);
end;

procedure TTernarySeriesForm.Chart1BeforeDrawAxes(Sender: TObject);
begin
  Chart1.Legend.Title.Visible := Series1.ColorEachPoint;
end;

procedure TTernarySeriesForm.FormCreate(Sender: TObject);
var
  z: boolean;

begin
  inherited;


// Load Na Mg K data
  Series1.DataSource := SeriesTextSource1;

  with SeriesTextSource1 do
  begin
    FileName := 'C:\Code_Test_Progs\TernaryGraph\Na-Mg-K.csv';
    FieldSeparator:=',';
    Fields.Clear;
    AddField('X',1);
    AddField('Y',2);
    AddField('Z',3);
    AddField('Radius',4);
    AddField('Text',5);
    Load;
  end;

  Series1.UseColorRange:=false;
//  Series1.UseColorRange:=true;
  Series1.VertexTitles[0][0] := 'Na/1000' ;
  Series1.VertexTitles[1][0] := 'Sqr(Mg)' ;
  Series1.VertexTitles[2][0] := 'K/100' ;


  Series1.Pointer.Style:=psCircle;
  Series1.Pointer.Transparency:=50;

  Series1.TernaryStyle:=tsBubble;
//  Series1.TernaryStyle:=tsPoint;
  Series1.TernaryLegendStyle:=tlsBubbleWeight;

//  Chart1.Legend.Title.Text.Add(TeeMsg_TernaryMarkRadius + ', ' + TeeMsg_TernaryMarkWeight);
  Chart1.Legend.TextStyle := ltsPlain;
  Chart1.Legend.Title.Text.Add('Well  Date');
  Chart1.Legend.Title.TextAlignment := taRightJustify;
  Chart1.Legend.Width :=30;
  Chart1.Legend.Title.Visible:=true;
end;

end.
